Name:          gnome-packagekit
Version:       3.30.0
Release:       2
Summary:       Allows the session user to manage packages in a secure way
License:       GPLv2+
URL:           http://www.packagekit.org
Source0:       http://download.gnome.org/sources/gnome-packagekit/3.30/gnome-packagekit-%{version}.tar.xz

BuildRequires: glib2-devel >= 2.25.8 gtk3-devel libnotify-devel >= 0.7.0 desktop-file-utils
BuildRequires: gettext libtool cairo-devel startup-notification-devel PackageKit-devel >= 0.5.0
BuildRequires: xorg-x11-proto-devel fontconfig-devel libcanberra-devel libgudev1-devel
BuildRequires: libxslt docbook-utils systemd-devel meson polkit-devel itstool libappstream-glib

Requires:      adwaita-icon-theme PackageKit >= 0.5.0 PackageKit-libs >= 0.5.0
Requires:      shared-mime-info iso-codes libcanberra >= 0.10
Provides:      PackageKit-session-service
Provides:      gnome-packagekit-installer = %{version}-%{release}
Obsoletes:     gnome-packagekit-installer < %{version}-%{release}
Provides:      gnome-packagekit-updater = %{version}-%{release}
Obsoletes:     gnome-packagekit-updater < %{version}-%{release}
Provides:      gnome-packagekit-common = %{version}-%{release}
Obsoletes:     gnome-packagekit-common < %{version}-%{release}


%description
PackageKit is a system designed to make installing and updating software
on your computer easier. The primary design goal is to unify all the
software graphical tools used in different distributions, and use some
of the latest technology like PolicyKit.
This package provides some shared files, and is used to manage or update packages
not shown in GNOME Software.


%package help
Summary:       Provides man-pages and help docs for packagekit
Requires:      gnome-packagekit = %{version}-%{release}

%description help
This package provides man-pages for gnome-packagekit.

%prep
%autosetup -n gnome-packagekit-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang gnome-packagekit --with-gnome

%files -f gnome-packagekit.lang
%doc AUTHORS COPYING
%{_bindir}/gpk-*
%dir %{_datadir}/gnome-packagekit
%dir %{_datadir}/gnome-packagekit/icons
%dir %{_datadir}/gnome-packagekit/icons/hicolor
%dir %{_datadir}/gnome-packagekit/icons/hicolor/*
%dir %{_datadir}/gnome-packagekit/icons/hicolor/*/*
%{_datadir}/gnome-packagekit/*
%{_datadir}/icons/hicolor/scalable/*/*.svg*
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/org.gnome.packagekit.gschema.xml
%{_datadir}/GConf/gsettings/org.gnome.packagekit.gschema.migrate
%{_datadir}/metainfo/*
%exclude %{_datadir}/applications/gpk-install-local-file.desktop

%files help
%doc README
%{_mandir}/man1/gpk-*

%changelog
* Fri Nov 22 2019 sunguoshuai <sunguoshuai@huawei.com> - 3.30.0-2
- Package init.
